package com.cool.store.dao;

import com.cool.store.dto.TransferLogDTO;
import com.cool.store.entity.TransferLogDO;
import com.cool.store.mapper.TransferLogMapper;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author suzhuhong
 * @Date 2024/3/29 17:43
 * @Version 1.0
 */
@Repository
public class TransferLogDAO {

    @Resource
    TransferLogMapper transferLogMapper;

    public void add(TransferLogDO transferLog){
        transferLogMapper.insertSelective(transferLog);
    }


    public List<TransferLogDTO> getTransferLogList(Long lindId){
        if (lindId == null){
            return null;
        }
        return transferLogMapper.getTransferLogList(lindId);
    }






}
